> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincept.in/llms.txt
> Use this file to discover all available pages before exploring further.

# SABR Normal Volatility

> Calculate normal (Bachelier) implied volatility using the SABR model. Normal volatility is used in normal (absolute) option pricing models, common in negative interest rate environments and for spread options. Converts SABR parameters to normal volatility for Bachelier option pricing. [Tier: PRO, Credits: 5]



## OpenAPI

````yaml api-specs/volatility.json post /quantlib/volatility/sabr/normal-vol
openapi: 3.1.0
info:
  title: FinceptQuantLib API - Volatility
  description: >-
    Volatility module endpoints for FinceptQuantLib API. Standard Tier module (2
    credits per request) providing comprehensive volatility surface modeling,
    SABR model calibration and analytics, and local volatility calculations for
    derivatives pricing and risk management.
  version: 3.0.0
  contact:
    name: Fincept API Support
    url: https://fincept.in
servers:
  - url: https://api.fincept.in
    description: Fincept API Production Server
security:
  - APIKeyHeader: []
tags:
  - name: quantlib-volatility
    description: >-
      Volatility surface modeling, SABR calibration, and local volatility
      calculations
    x-displayName: Volatility
paths:
  /quantlib/volatility/sabr/normal-vol:
    post:
      tags:
        - quantlib-volatility
      summary: SABR Normal Volatility
      description: >-
        Calculate normal (Bachelier) implied volatility using the SABR model.
        Normal volatility is used in normal (absolute) option pricing models,
        common in negative interest rate environments and for spread options.
        Converts SABR parameters to normal volatility for Bachelier option
        pricing. [Tier: PRO, Credits: 5]
      operationId: sabr_normal_vol
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - forward
                - strike
                - expiry
                - alpha
                - beta
                - rho
                - nu
              properties:
                forward:
                  type: number
                  description: Forward price of the underlying
                  example: 0.02
                  minimum: -10
                  maximum: 10
                strike:
                  type: number
                  description: Option strike price (can be negative for rates)
                  example: 0.015
                  minimum: -10
                  maximum: 10
                expiry:
                  type: number
                  description: Time to expiry in years
                  example: 2
                  minimum: 0
                alpha:
                  type: number
                  description: SABR alpha parameter
                  example: 0.02
                  minimum: 0
                beta:
                  type: number
                  description: SABR beta parameter (often 0 for normal model)
                  example: 0
                  minimum: 0
                  maximum: 1
                rho:
                  type: number
                  description: SABR rho parameter (correlation)
                  example: -0.3
                  minimum: -1
                  maximum: 1
                nu:
                  type: number
                  description: SABR nu parameter (vol of vol)
                  example: 0.4
                  minimum: 0
            example:
              forward: 0.02
              strike: 0.015
              expiry: 2
              alpha: 0.02
              beta: 0
              rho: -0.3
              nu: 0.4
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      normal_vol:
                        type: number
                        description: Normal (Bachelier) volatility from SABR
                        example: 0.0195
                      forward:
                        type: number
                        description: Forward price (echo of input)
                        example: 0.02
                      strike:
                        type: number
                        description: Strike price (echo of input)
                        example: 0.015
                      expiry:
                        type: number
                        description: Expiry time (echo of input)
                        example: 2
              example:
                success: true
                data:
                  normal_vol: 0.0195
                  forward: 0.02
                  strike: 0.015
                  expiry: 2
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '402':
          $ref: '#/components/responses/InsufficientTierError'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - APIKeyHeader: []
components:
  responses:
    UnauthorizedError:
      description: Authentication information is missing or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              detail:
                type: string
                example: Invalid API key
    InsufficientTierError:
      description: API tier insufficient for this endpoint
      content:
        application/json:
          schema:
            type: object
            properties:
              detail:
                type: string
                example: Endpoint requires Standard tier or higher
    ValidationError:
      description: Validation Error
      content:
        application/json:
          schema:
            type: object
            properties:
              detail:
                type: array
                items:
                  type: object
                  properties:
                    loc:
                      type: array
                      items:
                        type: string
                    msg:
                      type: string
                    type:
                      type: string
          example:
            detail:
              - loc:
                  - body
                  - volatility
                msg: field required
                type: value_error.missing
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key for authentication. Get your key at
        https://api.fincept.in/auth/register

````